define('aim/absence/view/SelectResourceView',[], function() {
	var SelectResourceView = Backbone.View.extend({
		
		el: '#resource-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.get("selectedResource");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var resourceList = this.model.get('resourceList');		
			var resourceIndex = _.indexBy(resourceList, 'userId');
			this.selection = false;
			var self=this;
			_.each(resourceList, function(resourcePlaningResource) {
				var selectData = {};
				selectData.id = resourcePlaningResource.mappedResourceId;
				if(resourcePlaningResource.mappedResourceId == preSelect){
					selectData.selected = "selected";
					self.selection=true;
				}
				selectData.name = resourcePlaningResource.displayName;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			if(this.selection == false){
				AJS.$("#resource-single-select").trigger('chosen:updated');
			}
			AJS.$("#resource-single-select").chosen();

//			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
//			if(this.selection==true){
//				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
//			}else{
//				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
//			}
//			AJS.$("#resource-single-select").auiSelect2();
			return this;	
		}
	});
	return SelectResourceView;
});