define('aim/analytics/view/WeekProjectView',[], function() {
	var WeekProjectView = Backbone.View.extend({
		el: '.analytics-week-project-sum',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);//the context with the filter data
		},
			
		render : function() {
			AJS.$('#project-planned-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).text(this.model.get('formattedPlanned'));
			AJS.$('#project-logged-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).text(this.model.get('formattedLogged'));
			AJS.$('#project-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).text(this.model.get('formattedDifference'));
			AJS.$('#project-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).parent().css( "background-color", this.model.get('background') );
			var style = AJS.$('#project-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).parent().attr( 'style');
			style += ('color: ' + this.model.get('fontColor') + ' !important;' );
			AJS.$('#project-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')).parent().attr( 'style', style );
			return this;
		}
	});
	return WeekProjectView;
});