define('aim/assignment/view/SelectRestValueView',[], function() {
	var SelectRestValueView = Backbone.View.extend({
		
		el: '#restValue-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model;
			tmpOps.number = planValueModel.get('restValue');
			tmpOps.id = "restValue";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.rest.value.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('restValue');
			return this;
		}
	});
	return SelectRestValueView;
});