define('aim/admin/view/SelectProjectView',[], function() {
	var SelectProjectView = Backbone.View.extend({
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.attributes.selectedProject;
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var projectList = this.model.attributes.projectList;		
//			var resourceIndex = _.indexBy(resourceList, 'userId');
			var self=this;
			_.each(projectList, function(project) {
				var selectData = {};
				selectData.id = project.value;
				if(project.value == preSelect){
					selectData.selected = "selected";
					self.selection=true;
				}
				selectData.name = project.label;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$('#'+this.el.id).auiSelect2();
			return this;	
		}
	});
	return SelectProjectView;
});