define('aim/analytics/view/AnalyticsWeekView',[], function() {
	var AnalyticsWeekView = Backbone.View.extend({
		el: '.analytics-week-resource-sum',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
			
		render : function() {
			AJS.$('#week-planned-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).text(this.model.get('formattedPlanned'));
			AJS.$('#week-logged-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).text(this.model.get('formattedLogged'));
			AJS.$('#week-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).text(this.model.get('formattedDifference'));
			AJS.$('#week-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).parent().css( "background-color", this.model.get('background') );
			var style = AJS.$('#week-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).parent().attr( 'style');
			style += ('color: ' + this.model.get('fontColor') + ' !important;' );
			AJS.$('#week-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('projectId')+'-'+this.model.get('resourceId')).parent().attr( 'style', style );
			return this;
		}
	});
	return AnalyticsWeekView;
});